local trackNumMenu = 0
local path = reaper.GetResourcePath()
local NameFile ="lock"
local  pathfull =path .. "\\ini\\" .. NameFile .. ".ini"
local num_of_tracks = reaper.CountTracks(0)
for j = 0, num_of_tracks-1  do 
retval, preset = reaper.GetUserInputs("EnterTrackNumberToLockArm", 1, "", "")
if (preset ~= "") then
reaper.BR_Win32_WritePrivateProfileString(tonumber(preset), "a", "1", pathfull)
elseif  (preset == "")  and (j==0) then
os.remove(pathfull)
break
else
break
end
end
